# Method: inventory.partners.feeds.getStatus

- [HTTP request](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds/getStatus#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds/getStatus#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds/getStatus#body.request_body)
- [Response body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds/getStatus#body.response_body)
- [Authorization scopes](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/inventory.partners.feeds/getStatus#body.aspect)

Retrieves the `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus` of a previously uploaded feed by the specified aggregator, and returns it.

### HTTP request

`GET https://mapsbooking.googleapis.com/v1alpha/inventory/{name=partners/*/feeds/*/*}/status`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The feed resource name, which has the format of - `partners/{partner_id}/feeds/merchants/{fileName}` - `partners/{partner_id}/feeds/services/{fileName}` - `partners/{partner_id}/feeds/availability/{fileName}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/FeedStatus`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mapsbooking`